Bug 472749 - Conflict with cherokee
Summary: Conflict with cherokee
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lighttpd   
(Show other bugs)
Version: el5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 472747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-24 11:42 UTC by Michael Schwendt
Modified: 2008-12-26 14:09 UTC (History)
1 user (show)

Fixed In Version: 1.4.20-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 14:09:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2008-11-24 11:42:19 UTC
See bug 472747 for cherokee in updates-testing.

lighttpd-fastcgi-1.4.18-3.el5.i386  in  fedora-epel-5-i386
  File conflict with: cherokee-0.10.0-1.el5.i386
     /usr/bin/spawn-fcgi
     /usr/share/man/man1/spawn-fcgi.1.gz

Comment 1 Matthias Saou 2008-11-24 11:50:24 UTC
From what somebody already wrote in an email to me, apparently cherokee copied the spawn-fcgi helper as-is from lighttpd. We need to decide what to do. I can think of two clean solutions :
 * Split out the spawn-fcgi in a lighttpd sub-package which can be required by cherokee
 * Patch both lighttpd and cherokee to have them include their name in the helper's file name

Comment 2 Matthias Saou 2008-12-22 18:29:42 UTC
I've fixed this in Fedora devel by prefixing the spawn-fastcgi binary and man page with "lighttpd-". This *will* break home made scripts which call spawn-fastcgi, so it's probably not the best fix for EPEL. Thoughts?

Comment 3 Matthias Saou 2008-12-24 16:55:16 UTC
I'm scared to deploy this change, especially to EPEL. I've put back a "spawn-fastcgi" symlink for now, since the 1.4.20 update is required to fix some security issues.

What I would suggest for the long term is to create a "spawn-fastcgi" sub-package (the "-n" type, to not have "lighttpd" in the name) from the lighttpd package, since lighttpd is the upstream for that program, and have cherokee require that, or leave it up to the end users to install it (as it is not mandatory for fastcgi to work anyway). I'll probably make that change in devel once 1.4.20 is deployed.

Comment 4 Matthias Saou 2008-12-26 14:09:49 UTC
In the end, I've split out the "spawn-fcgi" package on all supported branches, as this is what makes most sense to me.


Note You need to log in before you can comment on or make changes to this bug.